{
  "ABIRoot": {
    "kind": "Root",
    "name": "ComboSDKTopOn",
    "printedName": "ComboSDKTopOn",
    "children": [
      {
        "kind": "Import",
        "name": "Foundation",
        "printedName": "Foundation",
        "declKind": "Import",
        "moduleName": "ComboSDKTopOn",
        "declAttributes": [
          "RawDocComment"
        ]
      },
      {
        "kind": "Import",
        "name": "Foundation",
        "printedName": "Foundation",
        "declKind": "Import",
        "moduleName": "ComboSDKTopOn"
      },
      {
        "kind": "Import",
        "name": "ComboSDK",
        "printedName": "ComboSDK",
        "declKind": "Import",
        "moduleName": "ComboSDKTopOn"
      },
      {
        "kind": "Import",
        "name": "AnyThinkSDK",
        "printedName": "AnyThinkSDK",
        "declKind": "Import",
        "moduleName": "ComboSDKTopOn"
      },
      {
        "kind": "Import",
        "name": "BUAdSDK",
        "printedName": "BUAdSDK",
        "declKind": "Import",
        "moduleName": "ComboSDKTopOn"
      },
      {
        "kind": "Import",
        "name": "AnyThinkGDTAdapter",
        "printedName": "AnyThinkGDTAdapter",
        "declKind": "Import",
        "moduleName": "ComboSDKTopOn"
      },
      {
        "kind": "Import",
        "name": "AnyThinkKuaiShouAdapter",
        "printedName": "AnyThinkKuaiShouAdapter",
        "declKind": "Import",
        "moduleName": "ComboSDKTopOn"
      },
      {
        "kind": "Import",
        "name": "AppTrackingTransparency",
        "printedName": "AppTrackingTransparency",
        "declKind": "Import",
        "moduleName": "ComboSDKTopOn"
      },
      {
        "kind": "TypeDecl",
        "name": "TopOn",
        "printedName": "TopOn",
        "children": [
          {
            "kind": "Function",
            "name": "setup",
            "printedName": "setup(thinkingDataDistinctId:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "String",
                "printedName": "Swift.String",
                "usr": "s:SS"
              }
            ],
            "declKind": "Func",
            "usr": "s:13ComboSDKTopOn03TopC0C5setup22thinkingDataDistinctIdySS_tFZ",
            "mangledName": "$s13ComboSDKTopOn03TopC0C5setup22thinkingDataDistinctIdySS_tFZ",
            "moduleName": "ComboSDKTopOn",
            "static": true,
            "declAttributes": [
              "Final",
              "AccessControl"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "getAdPlatform",
            "printedName": "getAdPlatform()",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "String",
                "printedName": "Swift.String",
                "usr": "s:SS"
              }
            ],
            "declKind": "Func",
            "usr": "s:13ComboSDKTopOn03TopC0C13getAdPlatformSSyFZ",
            "mangledName": "$s13ComboSDKTopOn03TopC0C13getAdPlatformSSyFZ",
            "moduleName": "ComboSDKTopOn",
            "static": true,
            "declAttributes": [
              "Final",
              "AccessControl"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "preloadAd",
            "printedName": "preloadAd(controller:adInfo:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "UIViewController",
                "printedName": "UIKit.UIViewController",
                "usr": "c:objc(cs)UIViewController"
              },
              {
                "kind": "TypeNominal",
                "name": "AdInfo",
                "printedName": "ComboSDK.AdInfo",
                "usr": "s:8ComboSDK6AdInfoC"
              }
            ],
            "declKind": "Func",
            "usr": "s:13ComboSDKTopOn03TopC0C9preloadAd10controller6adInfoySo16UIViewControllerC_0A3SDK0fI0CtFZ",
            "mangledName": "$s13ComboSDKTopOn03TopC0C9preloadAd10controller6adInfoySo16UIViewControllerC_0A3SDK0fI0CtFZ",
            "moduleName": "ComboSDKTopOn",
            "static": true,
            "declAttributes": [
              "Final",
              "AccessControl",
              "RawDocComment"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "showAd",
            "printedName": "showAd(controller:adInfo:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "UIViewController",
                "printedName": "UIKit.UIViewController",
                "usr": "c:objc(cs)UIViewController"
              },
              {
                "kind": "TypeNominal",
                "name": "AdInfo",
                "printedName": "ComboSDK.AdInfo",
                "usr": "s:8ComboSDK6AdInfoC"
              }
            ],
            "declKind": "Func",
            "usr": "s:13ComboSDKTopOn03TopC0C6showAd10controller6adInfoySo16UIViewControllerC_0A3SDK0fI0CtFZ",
            "mangledName": "$s13ComboSDKTopOn03TopC0C6showAd10controller6adInfoySo16UIViewControllerC_0A3SDK0fI0CtFZ",
            "moduleName": "ComboSDKTopOn",
            "static": true,
            "declAttributes": [
              "Final",
              "AccessControl",
              "RawDocComment"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "getContext",
            "printedName": "getContext()",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Optional",
                "printedName": "(any ComboSDK.AdContext)?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "AdContext",
                    "printedName": "any ComboSDK.AdContext",
                    "usr": "s:8ComboSDK9AdContextP"
                  }
                ],
                "usr": "s:Sq"
              }
            ],
            "declKind": "Func",
            "usr": "s:13ComboSDKTopOn03TopC0C10getContext0A3SDK02AdF0_pSgyFZ",
            "mangledName": "$s13ComboSDKTopOn03TopC0C10getContext0A3SDK02AdF0_pSgyFZ",
            "moduleName": "ComboSDKTopOn",
            "static": true,
            "declAttributes": [
              "Final",
              "AccessControl"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Constructor",
            "name": "init",
            "printedName": "init()",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "TopOn",
                "printedName": "ComboSDKTopOn.TopOn",
                "usr": "c:@M@ComboSDKTopOn@objc(cs)TopOn"
              }
            ],
            "declKind": "Constructor",
            "usr": "c:@M@ComboSDKTopOn@objc(cs)TopOn(im)init",
            "mangledName": "$s13ComboSDKTopOn03TopC0CACycfc",
            "moduleName": "ComboSDKTopOn",
            "overriding": true,
            "implicit": true,
            "objc_name": "init",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "Override"
            ],
            "init_kind": "Designated"
          },
          {
            "kind": "Function",
            "name": "didRevenue",
            "printedName": "didRevenue(forPlacementID:extra:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "Swift.String?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "String",
                    "printedName": "Swift.String",
                    "usr": "s:SS"
                  }
                ],
                "usr": "s:Sq"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "[Swift.AnyHashable : Any]?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Dictionary",
                    "printedName": "[Swift.AnyHashable : Any]",
                    "children": [
                      {
                        "kind": "TypeNominal",
                        "name": "AnyHashable",
                        "printedName": "Swift.AnyHashable",
                        "usr": "s:s11AnyHashableV"
                      },
                      {
                        "kind": "TypeNominal",
                        "name": "ProtocolComposition",
                        "printedName": "Any"
                      }
                    ],
                    "usr": "s:SD"
                  }
                ],
                "usr": "s:Sq"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)didRevenueForPlacementID:extra:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C10didRevenue14forPlacementID5extraySSSg_SDys11AnyHashableVypGSgtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "didRevenueForPlacementID:extra:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl",
              "RawDocComment"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "didStartLoadingADSource",
            "printedName": "didStartLoadingADSource(withPlacementID:extra:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "Swift.String?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "String",
                    "printedName": "Swift.String",
                    "usr": "s:SS"
                  }
                ],
                "usr": "s:Sq"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "[Swift.AnyHashable : Any]?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Dictionary",
                    "printedName": "[Swift.AnyHashable : Any]",
                    "children": [
                      {
                        "kind": "TypeNominal",
                        "name": "AnyHashable",
                        "printedName": "Swift.AnyHashable",
                        "usr": "s:s11AnyHashableV"
                      },
                      {
                        "kind": "TypeNominal",
                        "name": "ProtocolComposition",
                        "printedName": "Any"
                      }
                    ],
                    "usr": "s:SD"
                  }
                ],
                "usr": "s:Sq"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)didStartLoadingADSourceWithPlacementID:extra:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C23didStartLoadingADSource15withPlacementID5extraySSSg_SDys11AnyHashableVypGSgtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "didStartLoadingADSourceWithPlacementID:extra:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl",
              "RawDocComment"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "didFinishLoadingADSource",
            "printedName": "didFinishLoadingADSource(withPlacementID:extra:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "Swift.String?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "String",
                    "printedName": "Swift.String",
                    "usr": "s:SS"
                  }
                ],
                "usr": "s:Sq"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "[Swift.AnyHashable : Any]?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Dictionary",
                    "printedName": "[Swift.AnyHashable : Any]",
                    "children": [
                      {
                        "kind": "TypeNominal",
                        "name": "AnyHashable",
                        "printedName": "Swift.AnyHashable",
                        "usr": "s:s11AnyHashableV"
                      },
                      {
                        "kind": "TypeNominal",
                        "name": "ProtocolComposition",
                        "printedName": "Any"
                      }
                    ],
                    "usr": "s:SD"
                  }
                ],
                "usr": "s:Sq"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)didFinishLoadingADSourceWithPlacementID:extra:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C24didFinishLoadingADSource15withPlacementID5extraySSSg_SDys11AnyHashableVypGSgtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "didFinishLoadingADSourceWithPlacementID:extra:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl",
              "RawDocComment"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "didFailToLoadADSource",
            "printedName": "didFailToLoadADSource(withPlacementID:extra:error:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "Swift.String?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "String",
                    "printedName": "Swift.String",
                    "usr": "s:SS"
                  }
                ],
                "usr": "s:Sq"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "[Swift.AnyHashable : Any]?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Dictionary",
                    "printedName": "[Swift.AnyHashable : Any]",
                    "children": [
                      {
                        "kind": "TypeNominal",
                        "name": "AnyHashable",
                        "printedName": "Swift.AnyHashable",
                        "usr": "s:s11AnyHashableV"
                      },
                      {
                        "kind": "TypeNominal",
                        "name": "ProtocolComposition",
                        "printedName": "Any"
                      }
                    ],
                    "usr": "s:SD"
                  }
                ],
                "usr": "s:Sq"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "(any Swift.Error)?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Error",
                    "printedName": "any Swift.Error",
                    "usr": "s:s5ErrorP"
                  }
                ],
                "usr": "s:Sq"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)didFailToLoadADSourceWithPlacementID:extra:error:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C21didFailToLoadADSource15withPlacementID5extra5errorySSSg_SDys11AnyHashableVypGSgs5Error_pSgtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "didFailToLoadADSourceWithPlacementID:extra:error:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl",
              "RawDocComment"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "didStartBiddingADSource",
            "printedName": "didStartBiddingADSource(withPlacementID:extra:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "Swift.String?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "String",
                    "printedName": "Swift.String",
                    "usr": "s:SS"
                  }
                ],
                "usr": "s:Sq"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "[Swift.AnyHashable : Any]?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Dictionary",
                    "printedName": "[Swift.AnyHashable : Any]",
                    "children": [
                      {
                        "kind": "TypeNominal",
                        "name": "AnyHashable",
                        "printedName": "Swift.AnyHashable",
                        "usr": "s:s11AnyHashableV"
                      },
                      {
                        "kind": "TypeNominal",
                        "name": "ProtocolComposition",
                        "printedName": "Any"
                      }
                    ],
                    "usr": "s:SD"
                  }
                ],
                "usr": "s:Sq"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)didStartBiddingADSourceWithPlacementID:extra:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C23didStartBiddingADSource15withPlacementID5extraySSSg_SDys11AnyHashableVypGSgtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "didStartBiddingADSourceWithPlacementID:extra:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl",
              "RawDocComment"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "didFinishBiddingADSource",
            "printedName": "didFinishBiddingADSource(withPlacementID:extra:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "Swift.String?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "String",
                    "printedName": "Swift.String",
                    "usr": "s:SS"
                  }
                ],
                "usr": "s:Sq"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "[Swift.AnyHashable : Any]?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Dictionary",
                    "printedName": "[Swift.AnyHashable : Any]",
                    "children": [
                      {
                        "kind": "TypeNominal",
                        "name": "AnyHashable",
                        "printedName": "Swift.AnyHashable",
                        "usr": "s:s11AnyHashableV"
                      },
                      {
                        "kind": "TypeNominal",
                        "name": "ProtocolComposition",
                        "printedName": "Any"
                      }
                    ],
                    "usr": "s:SD"
                  }
                ],
                "usr": "s:Sq"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)didFinishBiddingADSourceWithPlacementID:extra:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C24didFinishBiddingADSource15withPlacementID5extraySSSg_SDys11AnyHashableVypGSgtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "didFinishBiddingADSourceWithPlacementID:extra:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl",
              "RawDocComment"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "didFailBiddingADSource",
            "printedName": "didFailBiddingADSource(withPlacementID:extra:error:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "Swift.String?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "String",
                    "printedName": "Swift.String",
                    "usr": "s:SS"
                  }
                ],
                "usr": "s:Sq"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "[Swift.AnyHashable : Any]?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Dictionary",
                    "printedName": "[Swift.AnyHashable : Any]",
                    "children": [
                      {
                        "kind": "TypeNominal",
                        "name": "AnyHashable",
                        "printedName": "Swift.AnyHashable",
                        "usr": "s:s11AnyHashableV"
                      },
                      {
                        "kind": "TypeNominal",
                        "name": "ProtocolComposition",
                        "printedName": "Any"
                      }
                    ],
                    "usr": "s:SD"
                  }
                ],
                "usr": "s:Sq"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "(any Swift.Error)?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Error",
                    "printedName": "any Swift.Error",
                    "usr": "s:s5ErrorP"
                  }
                ],
                "usr": "s:Sq"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)didFailBiddingADSourceWithPlacementID:extra:error:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C22didFailBiddingADSource15withPlacementID5extra5errorySSSg_SDys11AnyHashableVypGSgs5Error_pSgtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "didFailBiddingADSourceWithPlacementID:extra:error:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl",
              "RawDocComment"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "didFinishLoadingAD",
            "printedName": "didFinishLoadingAD(withPlacementID:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "Swift.String?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "String",
                    "printedName": "Swift.String",
                    "usr": "s:SS"
                  }
                ],
                "usr": "s:Sq"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)didFinishLoadingADWithPlacementID:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C18didFinishLoadingAD15withPlacementIDySSSg_tF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "didFinishLoadingADWithPlacementID:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl",
              "RawDocComment"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "didFailToLoadAD",
            "printedName": "didFailToLoadAD(withPlacementID:error:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "Swift.String?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "String",
                    "printedName": "Swift.String",
                    "usr": "s:SS"
                  }
                ],
                "usr": "s:Sq"
              },
              {
                "kind": "TypeNominal",
                "name": "ImplicitlyUnwrappedOptional",
                "printedName": "(any Swift.Error)?",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Error",
                    "printedName": "any Swift.Error",
                    "usr": "s:s5ErrorP"
                  }
                ],
                "usr": "s:Sq"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)didFailToLoadADWithPlacementID:error:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C15didFailToLoadAD15withPlacementID5errorySSSg_s5Error_pSgtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "didFailToLoadADWithPlacementID:error:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl",
              "RawDocComment"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "rewardedVideoDidStartPlaying",
            "printedName": "rewardedVideoDidStartPlaying(forPlacementID:extra:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "String",
                "printedName": "Swift.String",
                "usr": "s:SS"
              },
              {
                "kind": "TypeNominal",
                "name": "Dictionary",
                "printedName": "[Swift.AnyHashable : Any]",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "AnyHashable",
                    "printedName": "Swift.AnyHashable",
                    "usr": "s:s11AnyHashableV"
                  },
                  {
                    "kind": "TypeNominal",
                    "name": "ProtocolComposition",
                    "printedName": "Any"
                  }
                ],
                "usr": "s:SD"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)rewardedVideoDidStartPlayingForPlacementID:extra:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C28rewardedVideoDidStartPlaying14forPlacementID5extraySS_SDys11AnyHashableVypGtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "rewardedVideoDidStartPlayingForPlacementID:extra:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "rewardedVideoDidEndPlaying",
            "printedName": "rewardedVideoDidEndPlaying(forPlacementID:extra:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "String",
                "printedName": "Swift.String",
                "usr": "s:SS"
              },
              {
                "kind": "TypeNominal",
                "name": "Dictionary",
                "printedName": "[Swift.AnyHashable : Any]",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "AnyHashable",
                    "printedName": "Swift.AnyHashable",
                    "usr": "s:s11AnyHashableV"
                  },
                  {
                    "kind": "TypeNominal",
                    "name": "ProtocolComposition",
                    "printedName": "Any"
                  }
                ],
                "usr": "s:SD"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)rewardedVideoDidEndPlayingForPlacementID:extra:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C26rewardedVideoDidEndPlaying14forPlacementID5extraySS_SDys11AnyHashableVypGtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "rewardedVideoDidEndPlayingForPlacementID:extra:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "rewardedVideoDidClick",
            "printedName": "rewardedVideoDidClick(forPlacementID:extra:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "String",
                "printedName": "Swift.String",
                "usr": "s:SS"
              },
              {
                "kind": "TypeNominal",
                "name": "Dictionary",
                "printedName": "[Swift.AnyHashable : Any]",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "AnyHashable",
                    "printedName": "Swift.AnyHashable",
                    "usr": "s:s11AnyHashableV"
                  },
                  {
                    "kind": "TypeNominal",
                    "name": "ProtocolComposition",
                    "printedName": "Any"
                  }
                ],
                "usr": "s:SD"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)rewardedVideoDidClickForPlacementID:extra:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C21rewardedVideoDidClick14forPlacementID5extraySS_SDys11AnyHashableVypGtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "rewardedVideoDidClickForPlacementID:extra:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "rewardedVideoDidClose",
            "printedName": "rewardedVideoDidClose(forPlacementID:rewarded:extra:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "String",
                "printedName": "Swift.String",
                "usr": "s:SS"
              },
              {
                "kind": "TypeNominal",
                "name": "Bool",
                "printedName": "Swift.Bool",
                "usr": "s:Sb"
              },
              {
                "kind": "TypeNominal",
                "name": "Dictionary",
                "printedName": "[Swift.AnyHashable : Any]",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "AnyHashable",
                    "printedName": "Swift.AnyHashable",
                    "usr": "s:s11AnyHashableV"
                  },
                  {
                    "kind": "TypeNominal",
                    "name": "ProtocolComposition",
                    "printedName": "Any"
                  }
                ],
                "usr": "s:SD"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)rewardedVideoDidCloseForPlacementID:rewarded:extra:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C21rewardedVideoDidClose14forPlacementID0E05extraySS_SbSDys11AnyHashableVypGtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "rewardedVideoDidCloseForPlacementID:rewarded:extra:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "rewardedVideoDidRewardSuccess",
            "printedName": "rewardedVideoDidRewardSuccess(forPlacemenID:extra:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "String",
                "printedName": "Swift.String",
                "usr": "s:SS"
              },
              {
                "kind": "TypeNominal",
                "name": "Dictionary",
                "printedName": "[Swift.AnyHashable : Any]",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "AnyHashable",
                    "printedName": "Swift.AnyHashable",
                    "usr": "s:s11AnyHashableV"
                  },
                  {
                    "kind": "TypeNominal",
                    "name": "ProtocolComposition",
                    "printedName": "Any"
                  }
                ],
                "usr": "s:SD"
              }
            ],
            "declKind": "Func",
            "usr": "c:@CM@ComboSDKTopOn@objc(cs)TopOn(im)rewardedVideoDidRewardSuccessForPlacemenID:extra:",
            "mangledName": "$s13ComboSDKTopOn03TopC0C29rewardedVideoDidRewardSuccess13forPlacemenID5extraySS_SDys11AnyHashableVypGtF",
            "moduleName": "ComboSDKTopOn",
            "objc_name": "rewardedVideoDidRewardSuccessForPlacemenID:extra:",
            "declAttributes": [
              "Dynamic",
              "ObjC",
              "AccessControl"
            ],
            "isFromExtension": true,
            "funcSelfKind": "NonMutating"
          }
        ],
        "declKind": "Class",
        "usr": "c:@M@ComboSDKTopOn@objc(cs)TopOn",
        "mangledName": "$s13ComboSDKTopOn03TopC0C",
        "moduleName": "ComboSDKTopOn",
        "declAttributes": [
          "AccessControl",
          "ObjC"
        ],
        "superclassUsr": "c:objc(cs)NSObject",
        "inheritsConvenienceInitializers": true,
        "superclassNames": [
          "ObjectiveC.NSObject"
        ],
        "conformances": [
          {
            "kind": "Conformance",
            "name": "ADProtocol",
            "printedName": "ADProtocol",
            "usr": "s:8ComboSDK10ADProtocolP",
            "mangledName": "$s8ComboSDK10ADProtocolP"
          },
          {
            "kind": "Conformance",
            "name": "_KeyValueCodingAndObserving",
            "printedName": "_KeyValueCodingAndObserving",
            "usr": "s:10Foundation27_KeyValueCodingAndObservingP",
            "mangledName": "$s10Foundation27_KeyValueCodingAndObservingP"
          },
          {
            "kind": "Conformance",
            "name": "_KeyValueCodingAndObservingPublishing",
            "printedName": "_KeyValueCodingAndObservingPublishing",
            "usr": "s:10Foundation37_KeyValueCodingAndObservingPublishingP",
            "mangledName": "$s10Foundation37_KeyValueCodingAndObservingPublishingP"
          },
          {
            "kind": "Conformance",
            "name": "CVarArg",
            "printedName": "CVarArg",
            "usr": "s:s7CVarArgP",
            "mangledName": "$ss7CVarArgP"
          },
          {
            "kind": "Conformance",
            "name": "Copyable",
            "printedName": "Copyable",
            "usr": "s:s8CopyableP",
            "mangledName": "$ss8CopyableP"
          },
          {
            "kind": "Conformance",
            "name": "CustomDebugStringConvertible",
            "printedName": "CustomDebugStringConvertible",
            "usr": "s:s28CustomDebugStringConvertibleP",
            "mangledName": "$ss28CustomDebugStringConvertibleP"
          },
          {
            "kind": "Conformance",
            "name": "CustomStringConvertible",
            "printedName": "CustomStringConvertible",
            "usr": "s:s23CustomStringConvertibleP",
            "mangledName": "$ss23CustomStringConvertibleP"
          },
          {
            "kind": "Conformance",
            "name": "Equatable",
            "printedName": "Equatable",
            "usr": "s:SQ",
            "mangledName": "$sSQ"
          },
          {
            "kind": "Conformance",
            "name": "Escapable",
            "printedName": "Escapable",
            "usr": "s:s9EscapableP",
            "mangledName": "$ss9EscapableP"
          },
          {
            "kind": "Conformance",
            "name": "Hashable",
            "printedName": "Hashable",
            "usr": "s:SH",
            "mangledName": "$sSH"
          }
        ]
      }
    ],
    "json_format_version": 8
  },
  "ConstValues": [
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "StringLiteral",
      "offset": 369,
      "length": 2,
      "value": "\"\""
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "StringLiteral",
      "offset": 397,
      "length": 2,
      "value": "\"\""
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "BooleanLiteral",
      "offset": 428,
      "length": 5,
      "value": "false"
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "BooleanLiteral",
      "offset": 636,
      "length": 5,
      "value": "false"
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "StringLiteral",
      "offset": 678,
      "length": 7,
      "value": "\"topon\""
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "IntegerLiteral",
      "offset": 853,
      "length": 1,
      "value": "8"
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "IntegerLiteral",
      "offset": 870,
      "length": 2,
      "value": "15"
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "IntegerLiteral",
      "offset": 888,
      "length": 2,
      "value": "28"
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "IntegerLiteral",
      "offset": 905,
      "length": 2,
      "value": "22"
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "StringLiteral",
      "offset": 1170,
      "length": 15,
      "value": "\"RewardedVideo\""
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "StringLiteral",
      "offset": 1211,
      "length": 8,
      "value": "\"Splash\""
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "StringLiteral",
      "offset": 1238,
      "length": 14,
      "value": "\"Interstitial\""
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "StringLiteral",
      "offset": 1277,
      "length": 8,
      "value": "\"Banner\""
    },
    {
      "filePath": "\/Users\/jenkins-ci\/jenkins\/workspace\/SDK_Client_Combo_ios_v2.22.1\/TopOn\/TopOn.swift",
      "kind": "StringLiteral",
      "offset": 1304,
      "length": 8,
      "value": "\"Native\""
    }
  ]
}